<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <html>
            <head>
                <title></title>
                <script type="text/javascript" src="callback.js"></script>
            </head>
            <body>
                <xsl:choose>
                    <xsl:when test="authenticate and authenticate/@challenge">
                        <xsl:attribute name="onload">auth(&quot;<xsl:value-of select="authenticate/@challenge"/>&quot;);</xsl:attribute>    
                    </xsl:when>
                    <xsl:when test="callback and not(callback/@error)">
                        <xsl:attribute name="onload">result(&quot;ok&quot;);</xsl:attribute>        
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:attribute name="onload">result(&quot;error&quot;);</xsl:attribute>        
                    </xsl:otherwise>
                </xsl:choose>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>